Skip to content

Update a user record

Request

Security
BearerAuth
Path
identifierstringrequired
Enum:"id""email""UID"
Example:email
identifier_valuestringrequired
Example:john.smith@example.org
Bodyapplication/json

If accessing via an organisation level token you will need to provide an organisation_group_id in order to indicate which group the user belongs to.

organisation_group_idinteger
Example:1
emailstringrequired
Example:"john.smith@example.org"
first_namestring
Example:"John"
last_namestring
Example:"Smith"
company_namestring
Example:"Parisian Inc"
UIDstring
Example:"ABC123"
metaobject
POST
/v3/user/update/{identifier}/{identifier_value}
curl -i -X POST \
  https://propello-cloud.redocly.app/_mock/openapi/v3/user/update/email/john.smith@example.org \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "organisation_group_id": 1,
    "email": "john.smith@example.org",
    "first_name": "John",
    "last_name": "Smith",
    "company_name": "Parisian Inc",
    "UID": "ABC123",
    "meta": {
      "sales": 5,
      "location": "London"
    }
  }'

Responses

OK

Bodyapplication/json
statusinteger
Example:200
timestampstring
Example:"1970-01-30T00:00:00.000000Z"
dataobject
Response
{ "status": 200, "timestamp": "1970-01-30T00:00:00.000000Z", "data": { "id": 987654, "UID": "ABC123", "first_name": "John", "last_name": "Smith", "email": "john.smith@example.org", "status": "Active", "created_at": "1970-01-30T00:00:00.000000Z" } }